package com.project.zcustom.mapper.unit;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.addional.LargeIssue;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;


/**
 * 上报问题Mapper接口
 *
 * @author change
 * @date 2024-12-30
 */
public interface LargeIssueMapper extends BaseMapper<LargeIssue>
{
    /**
     * 查询上报问题
     *
     * @param id 上报问题主键
     * @return 上报问题
     */
    public LargeIssue selectLargeIssueById(Long id);

    /**
     * 查询上报问题列表
     *
     * @param largeIssue 上报问题
     * @return 上报问题集合
     */
    public List<LargeIssue> selectLargeIssueList(LargeIssue largeIssue);

    /**
     * 新增上报问题
     *
     * @param largeIssue 上报问题
     * @return 结果
     */
    public int insertLargeIssue(LargeIssue largeIssue);

    /**
     * 修改上报问题
     *
     * @param largeIssue 上报问题
     * @return 结果
     */
    public int updateLargeIssue(LargeIssue largeIssue);

    /**
     * 删除上报问题
     *
     * @param id 上报问题主键
     * @return 结果
     */
    public int deleteLargeIssueById(Long id);

    /**
     * 批量删除上报问题
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLargeIssueByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<LargeIssue> deleteWrapper);

    public int getIssueNum(String appOrg);

    public int getOverIssueNum(String appOrg);

    public List<LargeIssue> getIssueListLastWeek(String appOrg);

    public List<LargeIssue> getIssueList(String appOrg, Date date);
}
